Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Static Public Member Functions | Public Attributes | List of all members
ezpOauthTokenEndpointErrorType Class Reference

## Static Public Member Functions
static | httpCodeForError ( $error)

## Public Attributes
const | INVALID_REQUEST = "invalid_request"
const | INVALID_CLIENT = "invalid_client"
const | UNAUTHORIZED_CLIENT = "unauthorized_client"
const | INVALID_GRANT = "invalid_grant"
const | UNSUPPORTED_GRANT_TYPE = "unsupported_grant_type"
const | INVALID_SCOPE = "invalid_scope"

## Detailed Description

Definition at line 12 of file oauth_token_endpoint_error.php.

## Member Function Documentation

## ◆ httpCodeForError()

static ezpOauthTokenEndpointErrorType::httpCodeForError | ( |  | $error | ) |
| static

Definition at line 21 of file oauth_token_endpoint_error.php.

References $error, ezpHttpResponseCodes\BAD_REQUEST, ezpHttpResponseCodes\UNAUTHORIZED, and UNAUTHORIZED_CLIENT.

## Member Data Documentation

## ◆ INVALID_CLIENT

const ezpOauthTokenEndpointErrorType::INVALID_CLIENT = "invalid_client"

Definition at line 15 of file oauth_token_endpoint_error.php.

Referenced by ezpOauthUtility\doRefreshToken(), and ezpOauthUtility\doRefreshTokenWithAuthorizationCode().

## ◆ INVALID_GRANT

const ezpOauthTokenEndpointErrorType::INVALID_GRANT = "invalid_grant"

Definition at line 17 of file oauth_token_endpoint_error.php.

## ◆ INVALID_REQUEST

const ezpOauthTokenEndpointErrorType::INVALID_REQUEST = "invalid_request"

Definition at line 14 of file oauth_token_endpoint_error.php.

Referenced by ezpRestOauthTokenController\doHandleRequest(), and ezpOauthUtility\doRefreshTokenWithAuthorizationCode().

## ◆ INVALID_SCOPE

const ezpOauthTokenEndpointErrorType::INVALID_SCOPE = "invalid_scope"

Definition at line 19 of file oauth_token_endpoint_error.php.

## ◆ UNAUTHORIZED_CLIENT

const ezpOauthTokenEndpointErrorType::UNAUTHORIZED_CLIENT = "unauthorized_client"

Definition at line 16 of file oauth_token_endpoint_error.php.

Referenced by httpCodeForError().

## ◆ UNSUPPORTED_GRANT_TYPE

const ezpOauthTokenEndpointErrorType::UNSUPPORTED_GRANT_TYPE = "unsupported_grant_type"

Definition at line 18 of file oauth_token_endpoint_error.php.

Referenced by ezpRestOauthTokenController\doHandleRequest().

The documentation for this class was generated from the following file:

- oauth_token_endpoint_error.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.